### Function

# GLib bit_unlock

since: 2.24

#### Declaration [src]

    void
    g_bit_unlock (
      volatile gint* address,
      gint lock_bit
    )

#### Description [src]

Clears the indicated `lock_bit` in `address`. If another thread is currently blocked in `g_bit_lock()` on this same bit then it will be woken up.

This function accesses `address` atomically. All other accesses to `address` must be atomic in order for this function to work reliably. While `address` has a `volatile` qualifier, this is a historical artifact and the argument passed to it should not be `volatile`.

Available since: 2.24

#### Parameters

`address`

  Type: `volatile gint*`

  A pointer to an integer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`lock_bit`

  Type: `gint`

  A bit value between 0 and 31.